%global dlrn_nvr ansible-pacemaker-1.0.4.dev5-0.20200324105818.5847167
%global dlrn 1
%define upstream_version 1.0.4.dev5
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname ansible_pacemaker

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-pacemaker
Version: 1.0.4
Release: 0.20200324105818.5847167%{?dist}
Summary:        Ansible modules for managing Pacemaker clusters

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://github.com/redhat-openstack/ansible-pacemaker
Source0: ansible-pacemaker-1.0.4.dev5-0.20200324105818.5847167.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=58471675775bc776399c88438d33158964ba36d2

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

%if %{pyver} == 2
Requires: ansible
Requires: python-lxml
%else
%if 0%{?rhel} > 7
Requires: ansible
%else
Requires: ansible-python3
%endif
Requires: python%{pyver}-lxml
%endif

%description

Ansible-pacemaker is a set of Ansible modules for a Pacemaker cluster, nodes
and resources.

%prep
%autosetup -n %{name}-%{upstream_version} -S git


%build
%pyver_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%pyver_install


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-%{version}-*.egg-info
%{_datadir}/ansible/


%changelog
* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.3-1
- Update patches
- Fix data_files to cover all modules properly
- Avoid shipping __init__.py
- Put the pacemaker modules into /usr/share/ansible/plugins/modules

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.3-1
- Update patches

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change small nits in the pacemaker_is_active module.

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

